<?php
$hasregionpre = $PAGE->blocks->is_known_region('side-pre');
$hasregionpost = $PAGE->blocks->is_known_region('side-post');

$bc = new block_contents;
$bc->title = 'Login Info';
$bc->content = $OUTPUT->login_info();
if($hasregionpost) {
    $PAGE->blocks->add_fake_block($bc, 'side-post');
} elseif($hasregionpre) {
    $PAGE->blocks->add_fake_block($bc, 'side-pre');
}
if (!empty($PAGE->layout_options['langmenu'])) {
    $bc = new block_contents;
    $bc->title = 'Language Menu';
    $bc->content = $OUTPUT->lang_menu();
    if($hasregionpost) {
        $PAGE->blocks->add_fake_block($bc, 'side-post');
    } elseif($hasregionpre) {
        $PAGE->blocks->add_fake_block($bc, 'side-pre');
    }
}

$hasheading = ($PAGE->heading);
$hasnavbar = (empty($PAGE->layout_options['nonavbar']) && $PAGE->has_navbar());
$hasfooter = (empty($PAGE->layout_options['nofooter']));
$hassidepre = $PAGE->blocks->region_has_content('side-pre', $OUTPUT);
$hassidepost = $PAGE->blocks->region_has_content('side-post', $OUTPUT);
$showsidepre = $hassidepre && !$PAGE->blocks->region_completely_docked('side-pre', $OUTPUT);
$showsidepost = $hassidepost && !$PAGE->blocks->region_completely_docked('side-post', $OUTPUT);
$custommenu = $OUTPUT->custom_menu();
$hascustommenu = (empty($PAGE->layout_options['nocustommenu']) && !empty($custommenu));

$bodyclasses = array();
if ($showsidepre && !$showsidepost) {
    $bodyclasses[] = 'side-pre-only';
} else if ($showsidepost && !$showsidepre) {
    $bodyclasses[] = 'side-post-only';
} else if (!$showsidepost && !$showsidepre) {
    $bodyclasses[] = 'content-only';
}
if ($hascustommenu) {
    $bodyclasses[] = 'has_custom_menu';
}

$OUTPUT->doctype();
?>
<!DOCTYPE html>
<html <?php echo $OUTPUT->htmlattributes() ?>>
<head>
    <title><?php echo $PAGE->title ?></title>
    <link rel="shortcut icon" href="<?php echo $OUTPUT->pix_url('favicon', 'theme')?>" />
    <?php echo $OUTPUT->standard_head_html() ?>
	{headLinks}
</head>
<body id="<?php p($PAGE->bodyid) ?>" class="<?php p($PAGE->bodyclasses.' '.join(' ', $bodyclasses)) ?>">
<?php echo $OUTPUT->standard_top_of_body_html() ?>

<?php
?>
{pageContent}
<?php echo $OUTPUT->standard_end_of_body_html() ?>
</body>
</html>